Die drei Schemata
Jedes Schema ist ein kurzer Text, den ein Smartphone an die richtige App weiterzureichen weiß. mailto: öffnet die E-Mail-App, tel: öffnet die Telefon-App und sms: öffnet die Nachrichten-App, wobei Empfänger und manchmal die Nachricht schon ausgefüllt sind.
Telefonnummern funktionieren am besten im internationalen Format mit Pluszeichen und Landesvorwahl, etwa +15035550123, damit der Code auch für Besucher aus anderen Ländern funktioniert.
- mailto:hello@example.com?subject=Order%20question&body=Hi (RFC 6068)
- tel:+15035550123 (RFC 3966)
- sms:+15035550123?body=Hello (RFC 5724)
- SMSTO:+15035550123:Hello (ältere Konvention, wird weiterhin breit gelesen)
- MATMSG:TO:hello@example.com;SUB:Hi;BODY:Hello;; (ältere E-Mail-Konvention)
Den Nachrichtentext kodieren
Betreffs und Nachrichtentexte in mailto- und sms-Links müssen prozentkodiert werden, sodass ein Leerzeichen zu %20 wird und ein kaufmännisches Und im Text zu %26. Nicht kodierte Zeichen können die Nachricht abschneiden oder den Link beschädigen.
Die Plattformen haben den sms-Parameter body nicht immer gleich ausgewertet, was ein Grund dafür ist, dass die ältere Form SMSTO: in QR-Generatoren weiterhin verbreitet ist. Ein Test auf iPhone und Android vor dem Druck ist die verlässliche Kontrolle.
Was diese Codes nicht können
Ein QR-Code kann von sich aus keine E-Mail senden, keine Textnachricht verschicken und keinen Anruf tätigen. Er öffnet nur die App mit ausgefüllten Feldern, und die scannende Person entscheidet, ob sie auf Senden oder Anrufen tippt.
Weil der Empfänger vor dem Senden sichtbar ist, sollten Nutzer prüfen, ob er ihren Erwartungen entspricht. Ein Code, der eine Nachricht an eine Mehrwertnummer oder eine unbekannte Adresse vorausfüllt, ist ein Warnsignal.